InventoryInventory
Consume committed inventory stock
Decreases committed and on-hand stock for the requested variants at a location.
POST
/v1/inventory/consume-reservedDecreases committed and on-hand stock for the requested variants at a location.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/inventory/consume-reserved" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "locationId": "7204558912004325301", "locationName": "Example resource", "lines": [ { "productId": "7204558912004325301", "variantId": "7204558912004325301", "productName": "Example resource", "variantName": "Example resource", "sku": "SKU-001", "quantity": 1 } ], "note": "Example note." }'[ "example"]